# templates **Warning: Deprecated**: As of 15 July 2024, Core API endpoints are deprecated and no longer available for Paperspace users. ## list #### Examples ## CLI ```bash paperspace templates list \ --apiKey "edc20a51d9b2145..." ``` ## cURL ```bash curl -X GET 'https://api.paperspace.io/templates/getTemplates' \ -H 'X-Api-Key: edc20a51d9b2145...' ``` ## Node ```js paperspace.templates.list(function (err, res) { // handle error or result }); ``` #### Parameters | Name | Type | Attributes | Description | |---|---|---|---| | `id` | string | optional | template id to match on | | `name` | string | optional | name to match on | | `label` | string | optional | label to match on | | `os` | string | optional | OS to match on | | `dtCreated` | string | optional | datetime created value to match on | | `teamId` | string | optional | teamId to match on | | `userId` | string | optional | userId to match on | | `region` | string | optional | region to match on | #### Response ```json [ { "id": "ta1b3le7", "name": "paperspace/ta1b3le7", "label": "Windows 10 Pro", "os": "Windows 10 (Pro) - Unlicensed", "dtCreated": "2019-05-31T15:46:57.423Z" }, { "id": "tpx5mr6b", "name": "paperspace/tpx5mr6b", "label": "RStudio", "os": "Ubuntu 16.04 Desktop", "dtCreated": "2018-04-06T02:55:42.105Z" }, { "id": "t9taj00e", "name": "paperspace/t9taj00e", "label": null, "os": "Centos 7 Server", "dtCreated": "2022-01-23T20:47:06.707Z" }, { "id": "tz0ireoj", "name": "paperspace/tz0ireoj", "label": "Ubuntu 20.04 Desktop", "os": "Ubuntu 20.04 Desktop", "dtCreated": "2021-10-21T05:52:13.579Z" }, { "id": "tv00h6iv", "name": "paperspace/tv00h6iv", "label": "Windows 2012 R2 Grid", "os": "Windows 2012 R2 - Licensed", "dtCreated": "2020-07-30T17:34:04.385Z" }, { "id": "tnr2oh1m", "name": "paperspace/tnr2oh1m", "label": "Windows 10", "os": "Windows 10 (Server 2022) - Licensed", "dtCreated": "2021-04-08T16:39:03.908Z" }, { "id": "tzd1e8km", "name": "paperspace/tzd1e8km", "label": "Fast.ai", "os": "Ubuntu 16.04 Server", "dtCreated": "2020-03-16T03:55:18.513Z" }, { "id": "tmun4o2g", "name": "paperspace/tmun4o2g", "label": "Ubuntu 18.04 GPU Worker Cuda 11", "os": "Ubuntu 18.04 Server", "dtCreated": "2020-06-21T20:35:00.467Z" }, { "id": "tkni3aa4", "name": "paperspace/tkni3aa4", "label": "Ubuntu 20.04 Server", "os": "Ubuntu 20.04 Server", "dtCreated": "2021-10-20T00:50:49.780Z" }, { "id": "t04azgph", "name": "paperspace/t04azgph", "label": "Ubuntu 18.04 Server", "os": "Ubuntu 18.04 Server", "dtCreated": "2018-06-15T06:00:34.531Z" }, { "id": "tpi7gqht", "name": "paperspace/tpi7gqht", "label": "Ubuntu 18.04 CPU Worker", "os": "Ubuntu 18.04 Server", "dtCreated": "2020-07-08T18:18:08.248Z" }, { "id": "twnlo3zj", "name": "paperspace/twnlo3zj", "label": "Ml in a Box 20.04", "os": "Ubuntu 20.04 MLiaB", "dtCreated": "2021-10-14T23:50:00.225Z" }, { "id": "tl1h5hec", "name": "paperspace/tl1h5hec", "label": "Windows 10 Pro", "os": "Windows 10 (Pro) - Unlicensed", "dtCreated": "2019-05-16T17:41:22.919Z" }, { "id": "tk9izniv", "name": "paperspace/tk9izniv", "label": "Windows 10", "os": "Windows 10 (Server 2022) - Licensed", "dtCreated": "2019-02-08T17:59:04.036Z" }, { "id": "taoz1uxr", "name": "paperspace/taoz1uxr", "label": "Windows 10", "os": "Windows 10 (Server 2022) - Licensed", "dtCreated": "2019-02-08T18:00:34.729Z" } ] ```